Subject: RE: Purpose of Namespace

From: "Clemm, Geoff" <[email-masked]>
Date: Thu, 29 Nov 2001 08:03:10 -0500

The only namespace identified I would suggest *not* using in the
examples is "DAV:".  This in the past has misled folks into believing
that if they use DAV:xxx, they can leave out the xmlns: declaration,
which they can't.  I'd vote to leave the examples as they are.  
If we use more than one namespace identifier, I guarantee we will
get a continuing stream of "why do you have to use DAV: namespace
identifier for PROPFIND and use D: namespace identifier for PROPPATCH?"
questions.

Cheers,
Geoff

-----Original Message-----
From: Julian Reschke [mailto:[email-masked]]
Sent: Thursday, November 29, 2001 3:51 AM
To: Jason Crawford; Roy T. Fielding
Cc: Clemm, Geoff; 'WebDAV'
Subject: RE: Purpose of Namespace

I don't think that the spec should make any attempt to explain how XML
works.

What *could* be done is to vary the XML style in the examples. For instance,

<multistatus xmlns="DAV:" />

is even shorter, and as readable (at least in those examples where no mixing
with other namespaces is needed).

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Jason Crawford
> Sent: Thursday, November 29, 2001 7:01 AM
> To: Roy T. Fielding
> Cc: Clemm, Geoff; 'WebDAV'
> Subject: Re: Purpose of Namespace
>
>
>
>
> On Wed, Nov 28, 2001 at 06:13:42PM -0500, Clemm, Geoff wrote:
> > > I do not understand your point here.
> > >
> > > WebDAV uses XML namespaces to provide extensibility for
> > > property names, not because it lets the examples
> > > be shorter.
> > Maybe that should be said in the spec.
>
> I can add that to the issues/todo list, but I think I've heard Jim and a
> few other people mention something about the prefered style of
> prose in the
> spec, so I thought I'd check first...
>
> Is this something we want to put in the spec... or would we put that in a
> meta document?... like an annotated spec?
>
> If latter, I'm sure I can denote that in the issues list.
>
> J.
>
> ------------------------------------------
> Phone: 914-784-7569,   [email-masked]
>
>

---

From: "Jason Crawford" <[email-masked]>
Date: Fri, 30 Nov 2001 14:31:32 -0500

A couple of people have come forward to say we probably should not add an
explanation of why we use XML namespaces in WebDAV.  I have no problem with
that, but  I just want to point out the following that I just found in
RFC2518, Section 1.

   The XML namespace extension (Appendix 4) is also used in this
   specification in order to allow for new XML elements to be added
   without fear of colliding with other element names.

Because of this, I'd like to propose than we just go ahead and modify this
to mention the properties issue.

Okay?

J.

---

From: "Clemm, Geoff" <[email-masked]>
Date: Fri, 30 Nov 2001 14:40:46 -0500

Fine by me.

Cheers,
Geoff

-----Original Message-----
From: Jason Crawford [mailto:[email-masked]]
Sent: Friday, November 30, 2001 2:32 PM
To: 'WebDAV'
Subject: RE: Purpose of Namespace

Okay?

J.

---

From: "Jason Crawford" <[email-masked]>
Date: Fri, 30 Nov 2001 14:54:06 -0500

Just to clarify my note a bit...

By "properties issue" what I meant is that XML namespaces are needed
largely for the sake of properties.  As per

http://lists.w3.org/Archives/Public/w3c-dist-auth/2001OctDec/0299.html

I'd like to provide a bit more info.  (Sorry for being so fractured in the
presentation.)  I just want to point out in section 4.5 we already have...

   The XML namespace mechanism, which is based on URIs [RFC2396], is
   used to name properties because it prevents namespace collisions and
   provides for varying degrees of administrative control.

Should we leave that XML namespace comment in section 1, modify it, or
remove it.  (You can find the text of it below.)

J.

> Sent: Friday, November 30, 2001 8:32 PM
> To: 'WebDAV'